CVC4::Record Class Reference

`#include <record.h>`

## Public Types

typedef std::vector< std::pair< std::string, Type > >::const_iterator | const_iterator
typedef const_iterator | iterator

## Public Member Functions

| Record (const std::vector< std::pair< std::string, Type > > &fields)
const_iterator | find (std::string name) const
size_t | getIndex (std::string name) const
size_t | getNumFields () const
const_iterator | begin () const
const_iterator | end () const
std::pair< std::string, Type > | operator[] (size_t index) const
bool | operator== (const Record &r) const
bool | operator!= (const Record &r) const

## Detailed Description

Definition at line 84 of file record.h.

## Member Typedef Documentation

## const_iterator

typedef std::vector<std::pair<std::string,Type>>::const_iterator CVC4::Record::const_iterator

Definition at line 89 of file record.h.

## iterator

typedef const_iterator CVC4::Record::iterator

Definition at line 90 of file record.h.

## Constructor & Destructor Documentation

## Record()

CVC4::Record::Record | ( | const std::vector< std::pair< std::string, Type > > & | fields | ) |

inline

Definition at line 92 of file record.h.

## Member Function Documentation

## begin()

const_iterator CVC4::Record::begin | ( |  | ) | const

inline

Definition at line 116 of file record.h.

Referenced by CVC4::RecordHashFunction::operator()().

## end()

const_iterator CVC4::Record::end | ( |  | ) | const

inline

Definition at line 120 of file record.h.

Referenced by CVC4::RecordHashFunction::operator()().

## find()

const_iterator CVC4::Record::find | ( | std::string | name | ) | const

inline

Definition at line 96 of file record.h.

## getIndex()

size_t CVC4::Record::getIndex | ( | std::string | name | ) | const

inline

Definition at line 106 of file record.h.

References CVC4::CheckArgument().

## getNumFields()

size_t CVC4::Record::getNumFields | ( |  | ) | const

inline

Definition at line 112 of file record.h.

## operator!=()

bool CVC4::Record::operator!= | ( | const Record & | r | ) | const

inline

Definition at line 133 of file record.h.

## operator==()

bool CVC4::Record::operator== | ( | const Record & | r | ) | const

inline

Definition at line 129 of file record.h.

## operator[]()

std::pair< std::string, Type > CVC4::Record::operator[] | ( | size_t | index | ) | const

inline

Definition at line 124 of file record.h.

References CVC4::CheckArgument().

The documentation for this class was generated from the following file:

- src/util/record.h